import { AccordionItemButton as AIB } from 'react-accessible-accordion';
import './AccordionItemButton.style.css';
import { Variant } from './AccordionItemButton.types';
import { getIcon } from './AccordionItemButton.utils';

interface AccordionItemButtonProps {
  children: React.ReactNode;
  variant?: Variant;
}

export const AccordionItemButton = ({
  children,
  variant = 'expandable',
}: AccordionItemButtonProps): JSX.Element => {
  const ButtonIcon = getIcon(variant);

  return (
    <AIB className="accordion-button flex flex-row flex-nowrap justify-between">
      {children}
      {ButtonIcon}
    </AIB>
  );
};
